Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Class ViewmapLayoutType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.codegen.gmfgen.ViewmapLayoutType

All Implemented Interfaces:
  Enumerator

public final class ViewmapLayoutType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Viewmap Layout Type', and utility methods for working with them.

See Also:
  `GMFGenPackage.getViewmapLayoutType()`
** Generated **
Model:

Field Summary
`static int` `FLOW_LAYOUT` The 'FLOW LAYOUT' literal value
`static ViewmapLayoutType` `FLOW_LAYOUT_LITERAL` The 'FLOW LAYOUT' literal object
`static int` `TOOLBAR_LAYOUT` The 'TOOLBAR LAYOUT' literal value
`static ViewmapLayoutType` `TOOLBAR_LAYOUT_LITERAL` The 'TOOLBAR LAYOUT' literal object
`static int` `UNKNOWN` The 'UNKNOWN' literal value
`static ViewmapLayoutType` `UNKNOWN_LITERAL` The 'UNKNOWN' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Viewmap Layout Type' enumerators
`static int` `XY_LAYOUT` The 'XY LAYOUT' literal value
`static ViewmapLayoutType` `XY_LAYOUT_LITERAL` The 'XY LAYOUT' literal object

Method Summary
`static ViewmapLayoutType` `get(int value)` Returns the 'Viewmap Layout Type' literal with the specified integer value
`static ViewmapLayoutType` `get(java.lang.String literal)` Returns the 'Viewmap Layout Type' literal with the specified literal value
`static ViewmapLayoutType` `getByName(java.lang.String name)` Returns the 'Viewmap Layout Type' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  The 'UNKNOWN' literal value.

  If the meaning of 'UNKNOWN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ViewmapLayoutType.UNKNOWN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### XY_LAYOUT

    public static final int XY_LAYOUT

  The 'XY LAYOUT' literal value.

  If the meaning of 'XY LAYOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ViewmapLayoutType.XY_LAYOUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### FLOW_LAYOUT

    public static final int FLOW_LAYOUT

  The 'FLOW LAYOUT' literal value.

  If the meaning of 'FLOW LAYOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ViewmapLayoutType.FLOW_LAYOUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### TOOLBAR_LAYOUT

    public static final int TOOLBAR_LAYOUT

  The 'TOOLBAR LAYOUT' literal value.

  If the meaning of 'TOOLBAR LAYOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ViewmapLayoutType.TOOLBAR_LAYOUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### UNKNOWN_LITERAL

    public static final ViewmapLayoutType UNKNOWN_LITERAL

  The 'UNKNOWN' literal object.

  See Also:
    `ViewmapLayoutType.UNKNOWN`
  ** Generated **
  Ordered:

### XY_LAYOUT_LITERAL

    public static final ViewmapLayoutType XY_LAYOUT_LITERAL

  The 'XY LAYOUT' literal object.

  See Also:
    `ViewmapLayoutType.XY_LAYOUT`
  ** Generated **
  Ordered:

### FLOW_LAYOUT_LITERAL

    public static final ViewmapLayoutType FLOW_LAYOUT_LITERAL

  The 'FLOW LAYOUT' literal object.

  See Also:
    `ViewmapLayoutType.FLOW_LAYOUT`
  ** Generated **
  Ordered:

### TOOLBAR_LAYOUT_LITERAL

    public static final ViewmapLayoutType TOOLBAR_LAYOUT_LITERAL

  The 'TOOLBAR LAYOUT' literal object.

  See Also:
    `ViewmapLayoutType.TOOLBAR_LAYOUT`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Viewmap Layout Type' enumerators.

  ** Generated **

Method Detail

### get

    public static ViewmapLayoutType get(java.lang.String literal)

  Returns the 'Viewmap Layout Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static ViewmapLayoutType getByName(java.lang.String name)

  Returns the 'Viewmap Layout Type' literal with the specified name.

  ** Generated **

### get

    public static ViewmapLayoutType get(int value)

  Returns the 'Viewmap Layout Type' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.